//Ex5_25.cpp
#include "iostream" 
using namespace std;
int m=8;  //外部变量m作用域开始 
void f1(int n) 
{n=3*n;m=m/2;} 
int n;     //外部变量n作用域开始 
void f2() 
{n=5;m++;n++;} 
void main() 
{int n=2; 
 f1(n);   //实参n为局部变量 
 f2(); 
 cout<<"m="<<m<<"，n="<<n<<endl;  //结果：m=5，n=2
}
